#proceed {
    position: relative;
}

#proceed::before {
    content: "";
    position: absolute;
    inset: 0;
    opacity: 0.5;
    background-image: url("../image/bg/bg_project.webp");
    background-size: 50%;
    background-repeat: no-repeat;
    background-position: top right;
    z-index: -1;
}

.cor-proceed-title {
    padding-top: 40px;
    font-size: var(--size-title);
    font-family: var(--font-title);
    padding-bottom: 60px;
}

.cor-proceed-wrapper {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 40px 30px;
}

.cor-proceed-card {
    position: relative;
    box-sizing: border-box;
    padding: 30px 25px 25px 30px;
    border: 1px solid rgba(0, 0, 0, 0.08);
    border-radius: 12px;
    background-color: var(--color-white);
    box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.06);
    transition:
        border-color 0.25s ease,
        box-shadow 0.25s ease;
}

.cor-proceed-card:hover {
    box-shadow: 0 0 20px 2px rgba(11, 88, 159, 0.35);
}

.cor-proceed-card-icon-container {
    position: absolute;
    top: -30px;
    left: -30px;
    width: 60px;
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.cor-proceed-card-icon {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.cor-proceed-card-content {
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.cor-proceed-card-header {
    display: grid;
    grid-template-columns: 16px 1fr;
    align-items: start;
    column-gap: 4px;
}

.cor-proceed-card-number {
    font-family: var(--font-title);
    font-weight: 700;
    font-size: var(--size-normal);
}

.cor-proceed-card-index {
    margin: 0;
    font-family: var(--font-title);
    font-weight: 700;
    font-size: var(--size-normal);
}

.cor-proceed-card-description {
    margin-left: 20px;
    font-size: var(--size-normal4);
}

#contact-us {
    width: 100%;
    position: relative;
    padding-bottom: 0px;
    margin-bottom: 0px;
}

#contact-us::before {
    content: "";
    position: absolute;
    inset: 0;
    opacity: 0.3;
    background-image: url("../image/bg/bg_archelon.webp");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    transform: scale(1.2) rotate(5deg);
    z-index: -1;
}

.cor-proceed-contact-wrapper {
    display: flex;
    gap: 100px;
}

.cor-proceed-contact-text-container {
    flex: 2;
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.cor-proceed-contact-title {
    font-family: var(--font-normal);
    font-weight: 700;
    font-size: var(--size-subtitle3);
    color: var(--color-blue-dark2);
}

.cor-proceed-contact-description,
.cor-proceed-contact-description span {
    font-family: var(--font-title);
    font-size: var(--size-subtitle4);
}

.cor-proceed-contact-description {
    font-weight: 600;
    color: var(--color-black);
}

.cor-proceed-contact-description span {
    font-weight: 800;
    color: var(--color-blue-2);
}

.cor-proceed-contact-us-right {
    flex: 1;
    display: flex;
}

.cor-proceed-contact-us-image {
    width: 100%;
}

.cor-proceed-contact-cta {
    all: unset;
    width: fit-content;
    cursor: pointer;
    display: flex;
    align-items: center;
    margin-top: 20px;
    gap: 10px;
    font-family: var(--font-normal);
    font-size: var(--size-normal);
    font-weight: 600;
    color: var(--color-white);
    background-color: rgba(69, 196, 85, 1);
    padding: 10px 20px;
    border-radius: 40px;
    transition: transform 0.4s ease;
}

.cor-proceed-contact-cta:hover {
    transform: scale(1.025);
}

.cor-proceed-contact-cta img {
    height: 20px;
}

@media screen and (max-width: 1184px) {
    .cor-proceed-contact-description,
    .cor-proceed-contact-description span {
        font-size: var(--size-subtitle);
    }
}

@media screen and (max-width: 855px) {
    #proceed::before {
        background-size: 100%;
    }

    .cor-proceed-wrapper {
        padding: 0 50px;
        grid-template-columns: repeat(2, 1fr);
        gap: 35px 25px;
    }

    .cor-proceed-contact-wrapper {
        flex-direction: column;
        gap: 30px;
    }

    .cor-proceed-contact-us-image {
        margin: 0 auto;
        width: 30%;
    }
}

@media screen and (max-width: 540px) {
    .cor-proceed-wrapper {
        padding: 0 40px;
        grid-template-columns: 1fr;
        gap: 30px;
    }

    .cor-proceed-title {
        font-size: var(--size-subtitle2);
    }
}
